#pragma once

#include <Windows.h>

#include <string>


class DbgTimer
{
public:
	DbgTimer(const char* TimerName = "");
	~DbgTimer(void);

	void TerminateReport(const char* msg = "");
	void Report(const char* msg = "", bool ResetTime = true);
	void ResetTime(void);

private:
	std::string Name;
	DWORD LastTime;
	bool Active;
};
